#include <bits/stdc++.h>

using namespace std;
long long n,k,m[20000];
long long SUM[2000000];
map<long long ,long long > a;
set<long long> ss;
int main()
{
    long long otv=0;
    cin>>n>>k;
    for (int i=0;i<k;i++)
        {
            cin>>m[i];
            a[m[i]]=1;
        }
    for (int i=1;i<=n;i++)
    {
        if (a[i]!=1)
        {
            for (int j=1;j<=n;j++)
            {
                if (a[j]!=1)
                {
                    //cout<<j<<" "<<i<<endl;
                    ss.insert(i+j);
                    //otv++;
                }
            }
        }
    }
    cout<<ss.size();
}
